Package org.eclipse.cdt.core.model

## Interface ILibraryEntry

All Superinterfaces:
  `IPathEntry`

    public interface ILibraryEntry
    extends IPathEntry

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.model.IPathEntry

`CDT_CONTAINER, CDT_INCLUDE, CDT_INCLUDE_FILE, CDT_LIBRARY, CDT_MACRO, CDT_MACRO_FILE, CDT_OUTPUT, CDT_PROJECT, CDT_SOURCE`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.core.runtime.IPath` `getBasePath()` Return the base path of the library.
`org.eclipse.core.runtime.IPath` `getBaseReference()` Return the base reference.
`org.eclipse.core.runtime.IPath` `getFullLibraryPath()` Returns the complete path, equivalent to: getBasepath().append(getPath());
`org.eclipse.core.runtime.IPath` `getLibraryPath()` Return the library path.
`org.eclipse.core.runtime.IPath` `getSourceAttachmentPath()` Returns the path to the source archive or folder associated with this C path entry, or `null` if this C path entry has no source attachment.
`org.eclipse.core.runtime.IPath` `getSourceAttachmentPrefixMapping()` Returns the path to map the source paths with to the source achive or folder An empty path indicates that the is a one-to-one mapping of source paths to the source achive or folder path.
`org.eclipse.core.runtime.IPath` `getSourceAttachmentRootPath()` Returns the path within the source archive or folder where source are located.

### Methods inherited from interface org.eclipse.cdt.core.model.IPathEntry

`getEntryKind, getPath, isExported`

### Method Detail

#### getSourceAttachmentPath

    org.eclipse.core.runtime.IPath getSourceAttachmentPath()

Returns the path to the source archive or folder associated with this C path entry, or `null` if this C path entry has no source attachment.

Only library and variable C path entries may have source attachments. For library C path entries, the result path (if present) locates a source archive or folder. This archive or folder can be located in a project of the workspace or outside thr workspace. For variable c path entries, the result path (if present) has an analogous form and meaning as the variable path, namely the first segment is the name of a c path variable.

Returns:
  the path to the source archive or folder, or `null` if none

#### getSourceAttachmentRootPath

    org.eclipse.core.runtime.IPath getSourceAttachmentRootPath()

Returns the path within the source archive or folder where source are located. An empty path indicates that packages are located at the root of the source archive or folder. Returns a non-`null` value if and only if `getSourceAttachmentPath` returns a non-`null` value.

Returns:
  the path within the source archive or folder, or `null` if not applicable

#### getSourceAttachmentPrefixMapping

    org.eclipse.core.runtime.IPath getSourceAttachmentPrefixMapping()

Returns the path to map the source paths with to the source achive or folder An empty path indicates that the is a one-to-one mapping of source paths to the source achive or folder path. Returns a non-`null` value if and only if `getSourceAttachmentPath` returns a non-`null` value.

Returns:
  the path mapping within the source archive or folder, or `null` if not applicable

#### getBasePath

    org.eclipse.core.runtime.IPath getBasePath()

Return the base path of the library.

Returns:
  IPath

#### getBaseReference

    org.eclipse.core.runtime.IPath getBaseReference()

Return the base reference.

#### getLibraryPath

    org.eclipse.core.runtime.IPath getLibraryPath()

Return the library path.

#### getFullLibraryPath

    org.eclipse.core.runtime.IPath getFullLibraryPath()

Returns the complete path, equivalent to: getBasepath().append(getPath());